For the complete documentation index, see llms.txt. This page is also available as Markdown.

Documents

Get all documents for a project.

get

Retrieves a paginated list of documents for the specified project, optionally filtered and sorted.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Query parameters
pageNumberinteger · int32Optional
parentObjectIdentifierstring · uuidOptional
flattenListbooleanOptional
pageSizeinteger · int32Optional
searchTextstringOptional
hidePackagedFilesbooleanOptionalDefault: true
includePathbooleanOptionalDefault: false
indexingStatusstring · enumOptionalPossible values:
uploadObjectIdentifierstring · uuidOptional
sortingstring · enumOptionalPossible values:
descbooleanOptionalDefault: true
filterColumnstring · enumOptionalPossible values:
filterOperationstring · enumOptionalPossible values:
filterSearchTermstringOptional
columnTypestring · enumOptionalPossible values:
Responses
200

OK

totalCountinteger · int32Optional
get/projects/{projectIdentifier}/documents
GET /projects/{projectIdentifier}/documents HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "name": "text",
      "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "isDirectory": true,
      "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "contentType": "text",
      "size": 1,
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "dateAdded": "2026-01-01T00:00:00.000Z",
      "uploadSuccessful": true,
      "tokenCount": 1,
      "metadataTokenCount": 1,
      "indexingNotPossible": true,
      "unsupportedFileType": true,
      "unPackingComplete": true,
      "unPackingFailed": true,
      "uploadInProgress": true,
      "url": "text",
      "hasChildren": true,
      "isSystemFolder": true,
      "extension": "text",
      "convertedToPdf": true,
      "fileType": "unknown",
      "uploadFailedReason": "outOfMemory",
      "resourceOwner": {
        "email": "text",
        "name": "text",
        "id": "text"
      },
      "progress": 1,
      "path": "text",
      "parent": {
        "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "isDirectory": true
      },
      "ocrStrategy": "never",
      "ocrEngine": "azureDocumentIntelligence",
      "coordinateExtractionStrategy": "never",
      "documentUploadSource": "local",
      "pageCount": 1,
      "ocrCreditsCost": 1,
      "layoutCreditsCost": 1,
      "metadata": [
        {
          "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "key": "text",
          "value": "text"
        }
      ]
    }
  ],
  "totalCount": 1
}

Upload a new document.

post

Uploads a new document to the specified project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Query parameters
parentObjectIdentifierstring · uuidOptional
documentUploadIdentifierstring · uuidRequired
sourcestring · enumOptionalPossible values:
Body
filestring · binaryOptional
ocrEnginestring · enumOptionalPossible values:
ocrStrategystring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
metadataJsonstringOptional
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
indexingNotPossibleboolean · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
isSystemFolderboolean · nullableOptional
extensionstring · nullableOptional
convertedToPdfbooleanOptional
fileTypestring · enumOptionalPossible values:
uploadFailedReasonstring · enumOptionalPossible values:
progressnumber · double · nullableOptional
pathstring · nullableOptional
ocrStrategystring · enumOptionalPossible values:
ocrEnginestring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
documentUploadSourcestring · enumOptionalPossible values:
pageCountinteger · int32 · nullableOptional
ocrCreditsCostnumber · double · nullableOptional
layoutCreditsCostnumber · double · nullableOptional
post/projects/{projectIdentifier}/documents
POST /projects/{projectIdentifier}/documents?documentUploadIdentifier=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 140

{
  "file": "binary",
  "ocrEngine": "azureDocumentIntelligence",
  "ocrStrategy": "never",
  "coordinateExtractionStrategy": "never",
  "metadataJson": "text"
}
{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isDirectory": true,
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "contentType": "text",
  "size": 1,
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "uploadSuccessful": true,
  "tokenCount": 1,
  "metadataTokenCount": 1,
  "indexingNotPossible": true,
  "unsupportedFileType": true,
  "unPackingComplete": true,
  "unPackingFailed": true,
  "uploadInProgress": true,
  "url": "text",
  "hasChildren": true,
  "isSystemFolder": true,
  "extension": "text",
  "convertedToPdf": true,
  "fileType": "unknown",
  "uploadFailedReason": "outOfMemory",
  "resourceOwner": {
    "email": "text",
    "name": "text",
    "id": "text"
  },
  "progress": 1,
  "path": "text",
  "parent": {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "isDirectory": true
  },
  "ocrStrategy": "never",
  "ocrEngine": "azureDocumentIntelligence",
  "coordinateExtractionStrategy": "never",
  "documentUploadSource": "local",
  "pageCount": 1,
  "ocrCreditsCost": 1,
  "layoutCreditsCost": 1,
  "metadata": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "key": "text",
      "value": "text"
    }
  ]
}

Record a failed document upload attempt.

post

Records a failed document upload attempt for the specified project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Body
fileNamestring · nullableRequired
contentTypestring · nullableRequired
sizeinteger · int32Optional
documentUploadObjectIdentifierstring · uuidOptional
parentObjectIdentifierstring · uuid · nullableOptional
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
indexingNotPossibleboolean · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
isSystemFolderboolean · nullableOptional
extensionstring · nullableOptional
convertedToPdfbooleanOptional
fileTypestring · enumOptionalPossible values:
uploadFailedReasonstring · enumOptionalPossible values:
progressnumber · double · nullableOptional
pathstring · nullableOptional
ocrStrategystring · enumOptionalPossible values:
ocrEnginestring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
documentUploadSourcestring · enumOptionalPossible values:
pageCountinteger · int32 · nullableOptional
ocrCreditsCostnumber · double · nullableOptional
layoutCreditsCostnumber · double · nullableOptional
post/projects/{projectIdentifier}/documents/failed
POST /projects/{projectIdentifier}/documents/failed HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 185

{
  "fileName": "text",
  "contentType": "text",
  "size": 1,
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isDirectory": true,
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "contentType": "text",
  "size": 1,
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "uploadSuccessful": true,
  "tokenCount": 1,
  "metadataTokenCount": 1,
  "indexingNotPossible": true,
  "unsupportedFileType": true,
  "unPackingComplete": true,
  "unPackingFailed": true,
  "uploadInProgress": true,
  "url": "text",
  "hasChildren": true,
  "isSystemFolder": true,
  "extension": "text",
  "convertedToPdf": true,
  "fileType": "unknown",
  "uploadFailedReason": "outOfMemory",
  "resourceOwner": {
    "email": "text",
    "name": "text",
    "id": "text"
  },
  "progress": 1,
  "path": "text",
  "parent": {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "isDirectory": true
  },
  "ocrStrategy": "never",
  "ocrEngine": "azureDocumentIntelligence",
  "coordinateExtractionStrategy": "never",
  "documentUploadSource": "local",
  "pageCount": 1,
  "ocrCreditsCost": 1,
  "layoutCreditsCost": 1,
  "metadata": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "key": "text",
      "value": "text"
    }
  ]
}

Mark a chunk upload as failed.

post

Marks a partial document upload as failed in the specified project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
documentObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
indexingNotPossibleboolean · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
isSystemFolderboolean · nullableOptional
extensionstring · nullableOptional
convertedToPdfbooleanOptional
fileTypestring · enumOptionalPossible values:
uploadFailedReasonstring · enumOptionalPossible values:
progressnumber · double · nullableOptional
pathstring · nullableOptional
ocrStrategystring · enumOptionalPossible values:
ocrEnginestring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
documentUploadSourcestring · enumOptionalPossible values:
pageCountinteger · int32 · nullableOptional
ocrCreditsCostnumber · double · nullableOptional
layoutCreditsCostnumber · double · nullableOptional
post/projects/{projectIdentifier}/documents/{documentObjectIdentifier}/failed-chunk
POST /projects/{projectIdentifier}/documents/{documentObjectIdentifier}/failed-chunk HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isDirectory": true,
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "contentType": "text",
  "size": 1,
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "uploadSuccessful": true,
  "tokenCount": 1,
  "metadataTokenCount": 1,
  "indexingNotPossible": true,
  "unsupportedFileType": true,
  "unPackingComplete": true,
  "unPackingFailed": true,
  "uploadInProgress": true,
  "url": "text",
  "hasChildren": true,
  "isSystemFolder": true,
  "extension": "text",
  "convertedToPdf": true,
  "fileType": "unknown",
  "uploadFailedReason": "outOfMemory",
  "resourceOwner": {
    "email": "text",
    "name": "text",
    "id": "text"
  },
  "progress": 1,
  "path": "text",
  "parent": {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "isDirectory": true
  },
  "ocrStrategy": "never",
  "ocrEngine": "azureDocumentIntelligence",
  "coordinateExtractionStrategy": "never",
  "documentUploadSource": "local",
  "pageCount": 1,
  "ocrCreditsCost": 1,
  "layoutCreditsCost": 1,
  "metadata": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "key": "text",
      "value": "text"
    }
  ]
}

Create an empty document record.

post

Creates an empty document record in the specified project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Body
metadataJsonstring · nullableOptional
fileNamestring · nullableRequired
contentTypestring · nullableRequired
documentUploadIdentifierstring · uuidOptional
sourcestring · enumOptionalPossible values:
parentObjectIdentifierstring · uuid · nullableOptional
resourceOwnerIdstring · nullableOptional
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
indexingNotPossibleboolean · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
isSystemFolderboolean · nullableOptional
extensionstring · nullableOptional
convertedToPdfbooleanOptional
fileTypestring · enumOptionalPossible values:
uploadFailedReasonstring · enumOptionalPossible values:
progressnumber · double · nullableOptional
pathstring · nullableOptional
ocrStrategystring · enumOptionalPossible values:
ocrEnginestring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
documentUploadSourcestring · enumOptionalPossible values:
pageCountinteger · int32 · nullableOptional
ocrCreditsCostnumber · double · nullableOptional
layoutCreditsCostnumber · double · nullableOptional
post/projects/{projectIdentifier}/documents/empty
POST /projects/{projectIdentifier}/documents/empty HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 354

{
  "metadataJson": "text",
  "uploadSettings": {
    "ocrEngine": "azureDocumentIntelligence",
    "ocrStrategy": "never",
    "coordinateExtractionStrategy": "never"
  },
  "fileName": "text",
  "contentType": "text",
  "documentUploadIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "source": "local",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "resourceOwnerId": "text"
}
{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isDirectory": true,
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "contentType": "text",
  "size": 1,
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "uploadSuccessful": true,
  "tokenCount": 1,
  "metadataTokenCount": 1,
  "indexingNotPossible": true,
  "unsupportedFileType": true,
  "unPackingComplete": true,
  "unPackingFailed": true,
  "uploadInProgress": true,
  "url": "text",
  "hasChildren": true,
  "isSystemFolder": true,
  "extension": "text",
  "convertedToPdf": true,
  "fileType": "unknown",
  "uploadFailedReason": "outOfMemory",
  "resourceOwner": {
    "email": "text",
    "name": "text",
    "id": "text"
  },
  "progress": 1,
  "path": "text",
  "parent": {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "isDirectory": true
  },
  "ocrStrategy": "never",
  "ocrEngine": "azureDocumentIntelligence",
  "coordinateExtractionStrategy": "never",
  "documentUploadSource": "local",
  "pageCount": 1,
  "ocrCreditsCost": 1,
  "layoutCreditsCost": 1,
  "metadata": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "key": "text",
      "value": "text"
    }
  ]
}

Upload a new assistant document.

post

Uploads a new assistant document to the specified project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Query parameters
documentUploadIdentifierstring · uuidRequired
sourcestring · enumOptionalPossible values:
Body
filestring · binaryOptional
ocrEnginestring · enumOptionalPossible values:
ocrStrategystring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
metadataJsonstringOptional
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
indexingNotPossibleboolean · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
isSystemFolderboolean · nullableOptional
extensionstring · nullableOptional
convertedToPdfbooleanOptional
fileTypestring · enumOptionalPossible values:
uploadFailedReasonstring · enumOptionalPossible values:
progressnumber · double · nullableOptional
pathstring · nullableOptional
ocrStrategystring · enumOptionalPossible values:
ocrEnginestring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
documentUploadSourcestring · enumOptionalPossible values:
pageCountinteger · int32 · nullableOptional
ocrCreditsCostnumber · double · nullableOptional
layoutCreditsCostnumber · double · nullableOptional
post/projects/{projectIdentifier}/documents/assistant
POST /projects/{projectIdentifier}/documents/assistant?documentUploadIdentifier=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 140

{
  "file": "binary",
  "ocrEngine": "azureDocumentIntelligence",
  "ocrStrategy": "never",
  "coordinateExtractionStrategy": "never",
  "metadataJson": "text"
}
{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isDirectory": true,
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "contentType": "text",
  "size": 1,
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "uploadSuccessful": true,
  "tokenCount": 1,
  "metadataTokenCount": 1,
  "indexingNotPossible": true,
  "unsupportedFileType": true,
  "unPackingComplete": true,
  "unPackingFailed": true,
  "uploadInProgress": true,
  "url": "text",
  "hasChildren": true,
  "isSystemFolder": true,
  "extension": "text",
  "convertedToPdf": true,
  "fileType": "unknown",
  "uploadFailedReason": "outOfMemory",
  "resourceOwner": {
    "email": "text",
    "name": "text",
    "id": "text"
  },
  "progress": 1,
  "path": "text",
  "parent": {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "isDirectory": true
  },
  "ocrStrategy": "never",
  "ocrEngine": "azureDocumentIntelligence",
  "coordinateExtractionStrategy": "never",
  "documentUploadSource": "local",
  "pageCount": 1,
  "ocrCreditsCost": 1,
  "layoutCreditsCost": 1,
  "metadata": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "key": "text",
      "value": "text"
    }
  ]
}

Create an empty assistant document record.

post

Creates an empty assistant document record in the specified project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Body
metadataJsonstring · nullableOptional
fileNamestring · nullableRequired
contentTypestring · nullableRequired
documentUploadIdentifierstring · uuidOptional
sourcestring · enumOptionalPossible values:
parentObjectIdentifierstring · uuid · nullableOptional
resourceOwnerIdstring · nullableOptional
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
indexingNotPossibleboolean · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
isSystemFolderboolean · nullableOptional
extensionstring · nullableOptional
convertedToPdfbooleanOptional
fileTypestring · enumOptionalPossible values:
uploadFailedReasonstring · enumOptionalPossible values:
progressnumber · double · nullableOptional
pathstring · nullableOptional
ocrStrategystring · enumOptionalPossible values:
ocrEnginestring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
documentUploadSourcestring · enumOptionalPossible values:
pageCountinteger · int32 · nullableOptional
ocrCreditsCostnumber · double · nullableOptional
layoutCreditsCostnumber · double · nullableOptional
post/projects/{projectIdentifier}/documents/empty-assistant
POST /projects/{projectIdentifier}/documents/empty-assistant HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 354

{
  "metadataJson": "text",
  "uploadSettings": {
    "ocrEngine": "azureDocumentIntelligence",
    "ocrStrategy": "never",
    "coordinateExtractionStrategy": "never"
  },
  "fileName": "text",
  "contentType": "text",
  "documentUploadIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "source": "local",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "resourceOwnerId": "text"
}
{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isDirectory": true,
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "contentType": "text",
  "size": 1,
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "uploadSuccessful": true,
  "tokenCount": 1,
  "metadataTokenCount": 1,
  "indexingNotPossible": true,
  "unsupportedFileType": true,
  "unPackingComplete": true,
  "unPackingFailed": true,
  "uploadInProgress": true,
  "url": "text",
  "hasChildren": true,
  "isSystemFolder": true,
  "extension": "text",
  "convertedToPdf": true,
  "fileType": "unknown",
  "uploadFailedReason": "outOfMemory",
  "resourceOwner": {
    "email": "text",
    "name": "text",
    "id": "text"
  },
  "progress": 1,
  "path": "text",
  "parent": {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "isDirectory": true
  },
  "ocrStrategy": "never",
  "ocrEngine": "azureDocumentIntelligence",
  "coordinateExtractionStrategy": "never",
  "documentUploadSource": "local",
  "pageCount": 1,
  "ocrCreditsCost": 1,
  "layoutCreditsCost": 1,
  "metadata": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "key": "text",
      "value": "text"
    }
  ]
}

Append a chunk to a document.

post

Appends a chunk to a partially uploaded document.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Query parameters
chunkIndexinteger · int32Optional
lastChunkbooleanOptionalDefault: false
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
indexingNotPossibleboolean · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
isSystemFolderboolean · nullableOptional
extensionstring · nullableOptional
convertedToPdfbooleanOptional
fileTypestring · enumOptionalPossible values:
uploadFailedReasonstring · enumOptionalPossible values:
progressnumber · double · nullableOptional
pathstring · nullableOptional
ocrStrategystring · enumOptionalPossible values:
ocrEnginestring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
documentUploadSourcestring · enumOptionalPossible values:
pageCountinteger · int32 · nullableOptional
ocrCreditsCostnumber · double · nullableOptional
layoutCreditsCostnumber · double · nullableOptional
post/projects/{projectIdentifier}/documents/{objectIdentifier}/append-chunk
POST /projects/{projectIdentifier}/documents/{objectIdentifier}/append-chunk HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isDirectory": true,
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "contentType": "text",
  "size": 1,
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "uploadSuccessful": true,
  "tokenCount": 1,
  "metadataTokenCount": 1,
  "indexingNotPossible": true,
  "unsupportedFileType": true,
  "unPackingComplete": true,
  "unPackingFailed": true,
  "uploadInProgress": true,
  "url": "text",
  "hasChildren": true,
  "isSystemFolder": true,
  "extension": "text",
  "convertedToPdf": true,
  "fileType": "unknown",
  "uploadFailedReason": "outOfMemory",
  "resourceOwner": {
    "email": "text",
    "name": "text",
    "id": "text"
  },
  "progress": 1,
  "path": "text",
  "parent": {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "isDirectory": true
  },
  "ocrStrategy": "never",
  "ocrEngine": "azureDocumentIntelligence",
  "coordinateExtractionStrategy": "never",
  "documentUploadSource": "local",
  "pageCount": 1,
  "ocrCreditsCost": 1,
  "layoutCreditsCost": 1,
  "metadata": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "key": "text",
      "value": "text"
    }
  ]
}

Create a new folder.

post

Creates a new folder in the specified project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Body
namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
documentUploadObjectIdentifierstring · uuid · nullableOptional
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
documentUploadObjectIdentifierstring · uuid · nullableOptional
dateAddedstring · date-timeRequired
objectIdentifierstring · uuidRequired
post/projects/{projectIdentifier}/documents/folder
POST /projects/{projectIdentifier}/documents/folder HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 151

{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Download a document file.

get

Downloads a document file by its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Query parameters
usePdfbooleanOptionalDefault: true
Responses
200

OK

string · binaryOptional
get/projects/{projectIdentifier}/documents/{objectIdentifier}/download
GET /projects/{projectIdentifier}/documents/{objectIdentifier}/download HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Download a document file stream.

get

Downloads a document file stream by its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

string · binaryOptional
get/projects/{projectIdentifier}/documents/{objectIdentifier}/download-stream
GET /projects/{projectIdentifier}/documents/{objectIdentifier}/download-stream HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Download a document file stream.

head

Downloads a document file stream by its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

string · binaryOptional
head/projects/{projectIdentifier}/documents/{objectIdentifier}/download-stream
HEAD /projects/{projectIdentifier}/documents/{objectIdentifier}/download-stream HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Get a document by object identifier.

get

Retrieves a document by its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
indexingNotPossibleboolean · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
isSystemFolderboolean · nullableOptional
extensionstring · nullableOptional
convertedToPdfbooleanOptional
fileTypestring · enumOptionalPossible values:
uploadFailedReasonstring · enumOptionalPossible values:
progressnumber · double · nullableOptional
pathstring · nullableOptional
ocrStrategystring · enumOptionalPossible values:
ocrEnginestring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
documentUploadSourcestring · enumOptionalPossible values:
pageCountinteger · int32 · nullableOptional
ocrCreditsCostnumber · double · nullableOptional
layoutCreditsCostnumber · double · nullableOptional
get/projects/{projectIdentifier}/documents/{objectIdentifier}
GET /projects/{projectIdentifier}/documents/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isDirectory": true,
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "contentType": "text",
  "size": 1,
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "uploadSuccessful": true,
  "tokenCount": 1,
  "metadataTokenCount": 1,
  "indexingNotPossible": true,
  "unsupportedFileType": true,
  "unPackingComplete": true,
  "unPackingFailed": true,
  "uploadInProgress": true,
  "url": "text",
  "hasChildren": true,
  "isSystemFolder": true,
  "extension": "text",
  "convertedToPdf": true,
  "fileType": "unknown",
  "uploadFailedReason": "outOfMemory",
  "resourceOwner": {
    "email": "text",
    "name": "text",
    "id": "text"
  },
  "progress": 1,
  "path": "text",
  "parent": {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "isDirectory": true
  },
  "ocrStrategy": "never",
  "ocrEngine": "azureDocumentIntelligence",
  "coordinateExtractionStrategy": "never",
  "documentUploadSource": "local",
  "pageCount": 1,
  "ocrCreditsCost": 1,
  "layoutCreditsCost": 1,
  "metadata": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "key": "text",
      "value": "text"
    }
  ]
}

Update a document by object identifier.

put

Updates a document by its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
indexingNotPossibleboolean · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
isSystemFolderboolean · nullableOptional
extensionstring · nullableOptional
convertedToPdfbooleanOptional
fileTypestring · enumOptionalPossible values:
uploadFailedReasonstring · enumOptionalPossible values:
progressnumber · double · nullableOptional
pathstring · nullableOptional
ocrStrategystring · enumOptionalPossible values:
ocrEnginestring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
documentUploadSourcestring · enumOptionalPossible values:
pageCountinteger · int32 · nullableOptional
ocrCreditsCostnumber · double · nullableOptional
layoutCreditsCostnumber · double · nullableOptional
put/projects/{projectIdentifier}/documents/{objectIdentifier}
PUT /projects/{projectIdentifier}/documents/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isDirectory": true,
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "contentType": "text",
  "size": 1,
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "uploadSuccessful": true,
  "tokenCount": 1,
  "metadataTokenCount": 1,
  "indexingNotPossible": true,
  "unsupportedFileType": true,
  "unPackingComplete": true,
  "unPackingFailed": true,
  "uploadInProgress": true,
  "url": "text",
  "hasChildren": true,
  "isSystemFolder": true,
  "extension": "text",
  "convertedToPdf": true,
  "fileType": "unknown",
  "uploadFailedReason": "outOfMemory",
  "resourceOwner": {
    "email": "text",
    "name": "text",
    "id": "text"
  },
  "progress": 1,
  "path": "text",
  "parent": {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "isDirectory": true
  },
  "ocrStrategy": "never",
  "ocrEngine": "azureDocumentIntelligence",
  "coordinateExtractionStrategy": "never",
  "documentUploadSource": "local",
  "pageCount": 1,
  "ocrCreditsCost": 1,
  "layoutCreditsCost": 1,
  "metadata": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "key": "text",
      "value": "text"
    }
  ]
}

Delete a document by object identifier.

delete

Deletes a document by its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
204

No Content

No content

delete/projects/{projectIdentifier}/documents/{objectIdentifier}
DELETE /projects/{projectIdentifier}/documents/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Update a folder by object identifier.

put

Updates a folder by its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
documentUploadObjectIdentifierstring · uuid · nullableOptional
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
documentUploadObjectIdentifierstring · uuid · nullableOptional
dateAddedstring · date-timeRequired
objectIdentifierstring · uuidRequired
put/projects/{projectIdentifier}/documents/folder/{objectIdentifier}
PUT /projects/{projectIdentifier}/documents/folder/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 151

{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "name": "text",
  "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Get all child documents of specified documents/folders.

post

Returns a collection of documents which are descendents of given objectIdentifiers

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Body
idsstring · uuid[] · nullableOptional
Responses
200

OK

namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
indexingNotPossibleboolean · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
isSystemFolderboolean · nullableOptional
extensionstring · nullableOptional
convertedToPdfbooleanOptional
fileTypestring · enumOptionalPossible values:
uploadFailedReasonstring · enumOptionalPossible values:
progressnumber · double · nullableOptional
pathstring · nullableOptional
ocrStrategystring · enumOptionalPossible values:
ocrEnginestring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
documentUploadSourcestring · enumOptionalPossible values:
pageCountinteger · int32 · nullableOptional
ocrCreditsCostnumber · double · nullableOptional
layoutCreditsCostnumber · double · nullableOptional
post/projects/{projectIdentifier}/documents/query-all-children
POST /projects/{projectIdentifier}/documents/query-all-children HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
[
  {
    "name": "text",
    "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "isDirectory": true,
    "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "contentType": "text",
    "size": 1,
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "dateAdded": "2026-01-01T00:00:00.000Z",
    "uploadSuccessful": true,
    "tokenCount": 1,
    "metadataTokenCount": 1,
    "indexingNotPossible": true,
    "unsupportedFileType": true,
    "unPackingComplete": true,
    "unPackingFailed": true,
    "uploadInProgress": true,
    "url": "text",
    "hasChildren": true,
    "isSystemFolder": true,
    "extension": "text",
    "convertedToPdf": true,
    "fileType": "unknown",
    "uploadFailedReason": "outOfMemory",
    "resourceOwner": {
      "email": "text",
      "name": "text",
      "id": "text"
    },
    "progress": 1,
    "path": "text",
    "parent": {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "isDirectory": true
    },
    "ocrStrategy": "never",
    "ocrEngine": "azureDocumentIntelligence",
    "coordinateExtractionStrategy": "never",
    "documentUploadSource": "local",
    "pageCount": 1,
    "ocrCreditsCost": 1,
    "layoutCreditsCost": 1,
    "metadata": [
      {
        "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
        "key": "text",
        "value": "text"
      }
    ]
  }
]

Get all folders for a project.

get

Retrieves a paginated list of folders for the specified project with indication of subfolders.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Query parameters
pageNumberinteger · int32OptionalDefault: 1
pageSizeinteger · int32Optional
parentObjectIdentifierstring · uuidOptional
searchTextstringOptional
sortingstring · enumOptionalPossible values:
descbooleanOptionalDefault: true
Responses
200

OK

totalCountinteger · int32Optional
get/projects/{projectIdentifier}/documents/folders
GET /projects/{projectIdentifier}/documents/folders HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "name": "text",
      "parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "isDirectory": true,
      "documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "contentType": "text",
      "size": 1,
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "dateAdded": "2026-01-01T00:00:00.000Z",
      "uploadSuccessful": true,
      "tokenCount": 1,
      "metadataTokenCount": 1,
      "indexingNotPossible": true,
      "unsupportedFileType": true,
      "unPackingComplete": true,
      "unPackingFailed": true,
      "uploadInProgress": true,
      "url": "text",
      "hasChildren": true,
      "isSystemFolder": true,
      "extension": "text",
      "convertedToPdf": true,
      "fileType": "unknown",
      "uploadFailedReason": "outOfMemory",
      "resourceOwner": {
        "email": "text",
        "name": "text",
        "id": "text"
      },
      "progress": 1,
      "path": "text",
      "parent": {
        "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "isDirectory": true
      },
      "ocrStrategy": "never",
      "ocrEngine": "azureDocumentIntelligence",
      "coordinateExtractionStrategy": "never",
      "documentUploadSource": "local",
      "pageCount": 1,
      "ocrCreditsCost": 1,
      "layoutCreditsCost": 1,
      "metadata": [
        {
          "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "key": "text",
          "value": "text"
        }
      ]
    }
  ],
  "totalCount": 1
}

Get breadcrumbs for a document.

get

Retrieves the breadcrumb trail for a document from root to the specified document.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
namestring · nullableRequired
isDirectorybooleanOptional
get/projects/{projectIdentifier}/documents/{objectIdentifier}/breadcrumbs
GET /projects/{projectIdentifier}/documents/{objectIdentifier}/breadcrumbs HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "isDirectory": true
  }
]

Re-trigger document processing for a document

post

Re-trigger document processing for a specific document

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
ocrEnginestring · enumOptionalPossible values:
ocrStrategystring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
Responses
202

Accepted

No content

post/projects/{projectIdentifier}/documents/{objectIdentifier}/re-index
POST /projects/{projectIdentifier}/documents/{objectIdentifier}/re-index HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "ocrEngine": "azureDocumentIntelligence",
  "ocrStrategy": "never",
  "coordinateExtractionStrategy": "never"
}

No content

Retry failed documents in an upload

post

Re-triggers document processing for every failed document in the specified upload session.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Query parameters
documentUploadObjectIdentifierstring · uuidOptional
Body
ocrEnginestring · enumOptionalPossible values:
ocrStrategystring · enumOptionalPossible values:
coordinateExtractionStrategystring · enumOptionalPossible values:
Responses
202

Accepted

No content

post/projects/{projectIdentifier}/documents/retry-failed-upload
POST /projects/{projectIdentifier}/documents/retry-failed-upload HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "ocrEngine": "azureDocumentIntelligence",
  "ocrStrategy": "never",
  "coordinateExtractionStrategy": "never"
}

No content

Bulk move documents within a project

post

Updates the parent folder for a list of documents

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Body
newParentObjectIdentifierstring · uuid · nullableOptional
objectIdentifiersToMovestring · uuid[] · nullableOptional
Responses
200

OK

No content

post/projects/{projectIdentifier}/documents/bulk-move
POST /projects/{projectIdentifier}/documents/bulk-move HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "newParentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "objectIdentifiersToMove": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}

No content

Download documents and folders as a ZIP

post

Creates a background download that zips the selected documents and folders, preserving folder structure.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Body
objectIdentifiersstring · uuid[] · nullableOptional
namestring · nullableOptional
Responses
202

Accepted

downloadObjectIdentifierstring · uuidOptional
post/projects/{projectIdentifier}/documents/bulk-download
POST /projects/{projectIdentifier}/documents/bulk-download HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76

{
  "objectIdentifiers": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "name": "text"
}
{
  "downloadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Last updated